%global commit 6778b2d2c329

Name: nimbus-jose-jwt
Version: 5.12
Release: 5%{?dist}
Summary: Nimbus JOSE+JWT

License: ASL 2.0
URL: https://bitbucket.org/connect2id/nimbus-jose-jwt/wiki/Home
Source0: https://bitbucket.org/connect2id/%{name}/get/%{version}.tar.gz

BuildRequires: maven-local
BuildRequires: mvn(com.github.stephenc.jcip:jcip-annotations)
BuildRequires: mvn(junit:junit)
BuildRequires: mvn(net.minidev:json-smart)
BuildRequires: mvn(org.bouncycastle:bcpkix-jdk15on)
BuildRequires: mvn(org.bouncycastle:bcprov-jdk15on)
BuildRequires: mvn(org.apache.felix:maven-bundle-plugin)
BuildRequires: mvn(org.apache.maven.plugins:maven-source-plugin)
BuildRequires: mvn(org.codehaus.mojo:buildnumber-maven-plugin)
BuildRequires: git-core
BuildArch: noarch

# Missing in Fedora:
# BuildRequires: mvn(org.bitbucket.b_c:jose4j)
# BuildRequires: mvn(net.jadler:jadler-all)
# Used in testing, dropping



%description
Java library for Javascript Object Signing and Encryption (JOSE)
and JSON Web Tokens (JWT)


%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.


%prep
%autosetup -n connect2id-%{name}-%{commit}
%pom_remove_dep net.jadler:jadler-all
%pom_remove_dep org.bitbucket.b_c:jose4j
%pom_remove_plugin org.sonatype.plugins:nexus-staging-maven-plugin
%pom_remove_plugin org.apache.maven.plugins:maven-javadoc-plugin
%pom_add_plugin org.apache.maven.plugins:maven-javadoc-plugin:2.9.1 . '
<configuration>
  <excludePackageNames>*.internal.*</excludePackageNames>
  <additionalparam>-Xdoclint:none</additionalparam>
</configuration>'

%build
%mvn_build -f


%install
%mvn_install

%files -f .mfiles
%license COPYRIGHT.txt
%license LICENSE.txt
%doc README.md
%doc SECURITY-CHANGELOG.txt
%doc CHANGELOG.txt

%files javadoc -f .mfiles-javadoc
%license COPYRIGHT.txt
%license LICENSE.txt

%changelog
* Thu Jul 25 2019 Fedora Release Engineering <releng@fedoraproject.org> - 5.12-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Fri Feb 01 2019 Fedora Release Engineering <releng@fedoraproject.org> - 5.12-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 5.12-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Tue Jun 19 2018 Sandro Bonazzola <sbonazzo@redhat.com> - 5.12-2
- Addressed issues reported during package review

* Fri Jun 15 2018 Sandro Bonazzola <sbonazzo@redhat.com> - 5.12-1
- initial import
